> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/reports-and-administration/dashboard-summary.md).

# Dashboard Summary

## GET /api/Public/DashboardSummary/GetDashboardStatusCount

> Dashboard status count

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"DashboardSummary"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.DashboardSummaryResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.DashboardSummaryResponseDto"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.DashboardSummaryResponseDto":{"type":"object","properties":{"totalCount":{"type":"integer","format":"int64"},"status":{"type":"string","nullable":true},"year":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/Public/DashboardSummary/GetDashboardStatusCount":{"get":{"tags":["DashboardSummary"],"parameters":[{"name":"status","in":"query","schema":{"type":"string"}},{"name":"selectedYear","in":"query","schema":{"type":"integer","format":"int32","default":0}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.DashboardSummaryResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.DashboardSummaryResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.DashboardSummaryResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.DashboardSummaryResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}}},"summary":"Dashboard status count","operationId":"get_DashboardSummary_GetDashboardStatusCount"}}}}
```

## GET /api/Public/DashboardSummary/GetDashboardAllCounts

> Dashboard all counts

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"DashboardSummary"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.DashboardAllCountsResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.DashboardAllCountsResponseDto"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.DashboardAllCountsResponseDto":{"type":"object","properties":{"pendingCount":{"type":"integer","format":"int64"},"cosignPendingCount":{"type":"integer","format":"int64"},"draftCount":{"type":"integer","format":"int64"},"completedCount":{"type":"integer","format":"int64"},"year":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/DashboardSummary/GetDashboardAllCounts":{"get":{"tags":["DashboardSummary"],"parameters":[{"name":"selectedYear","in":"query","schema":{"type":"integer","format":"int32","default":0}},{"name":"refresh","in":"query","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.DashboardAllCountsResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.DashboardAllCountsResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.DashboardAllCountsResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}}},"summary":"Dashboard all counts","operationId":"get_DashboardSummary_GetDashboardAllCounts"}}}}
```

## POST /api/Public/DashboardSummary/GetPendingInformation

> Pending information

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"DashboardSummary"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.DashboardPendingSearchRequest":{"type":"object","properties":{"mode":{"type":"integer","format":"int32"},"pageNumber":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"pageSize":{"maximum":200,"minimum":1,"type":"integer","format":"int32"},"categoryName":{"type":"string","nullable":true},"docOwner":{"type":"string","nullable":true},"documentName":{"type":"string","nullable":true},"documentNumber":{"type":"string","nullable":true},"referenceNo":{"type":"string","nullable":true},"startDate":{"type":"string","nullable":true},"endDate":{"type":"string","nullable":true},"signedDate":{"type":"string","nullable":true},"selectedYear":{"type":"integer","format":"int32","nullable":true},"sortColumn":{"type":"string","nullable":true},"sortOrder":{"type":"string","nullable":true},"isExport":{"type":"boolean"}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.PagedPendingResponse, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.PagedPendingResponse"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.PagedPendingResponse":{"type":"object","properties":{"pageNumber":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"totalRows":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"data":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.DatabaseContext.Entities.PendingRecordItem"},"nullable":true}},"additionalProperties":false},"emSignerCoreAPI.DatabaseContext.Entities.PendingRecordItem":{"type":"object","properties":{"rowIndex":{"type":"integer","format":"int64"},"totalRows":{"type":"integer","format":"int64"},"workflowId":{"type":"integer","format":"int32"},"lotId":{"type":"integer","format":"int32"},"menuId":{"type":"integer","format":"int32"},"signatureType":{"type":"integer","format":"int32"},"name":{"type":"string","nullable":true},"uploadedDatetime":{"type":"string","format":"date-time","nullable":true},"displayName":{"type":"string","nullable":true},"originatorId":{"type":"integer","format":"int32","nullable":true},"categoryName":{"type":"string","nullable":true},"documentNumber":{"type":"string","nullable":true},"isWorkflow":{"type":"integer","format":"int32","nullable":true},"referenceNo":{"type":"string","nullable":true},"expiryDate":{"type":"string","format":"date-time","nullable":true},"status":{"type":"string","nullable":true},"statusId":{"type":"integer","format":"int32","nullable":true},"noOfDocsCount":{"type":"integer","format":"int32"},"signedDate":{"type":"string","format":"date-time","nullable":true},"attachmentCount":{"type":"integer","format":"int32"},"signedBy":{"type":"string","nullable":true},"isNewFlow":{"type":"integer","format":"int32"},"hasNeslError":{"type":"boolean"},"isStuckAtNesl":{"type":"boolean"}},"additionalProperties":false}}},"paths":{"/api/Public/DashboardSummary/GetPendingInformation":{"post":{"tags":["DashboardSummary"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.DashboardPendingSearchRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.PagedPendingResponse, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.PagedPendingResponse, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.PagedPendingResponse, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.PagedPendingResponse, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}}},"summary":"Pending information","operationId":"post_DashboardSummary_GetPendingInformation"}}}}
```

## POST /api/Public/DashboardSummary/GetCompletedDocuments

> Completed documents

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"DashboardSummary"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.CompletedDocumentsRequest":{"type":"object","properties":{"pageNumber":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"pageSize":{"maximum":200,"minimum":1,"type":"integer","format":"int32"},"isSearch":{"type":"boolean"},"docOwner":{"type":"string","nullable":true},"docName":{"type":"string","nullable":true},"startDate":{"type":"string","nullable":true},"endDate":{"type":"string","nullable":true},"completedFromDate":{"type":"string","nullable":true},"completedToDate":{"type":"string","nullable":true},"expiryFromDate":{"type":"string","nullable":true},"expiryToDate":{"type":"string","nullable":true},"categoryName":{"type":"string","nullable":true},"documentNumber":{"type":"string","nullable":true},"referenceNo":{"type":"string","nullable":true},"selectedStatus":{"type":"string","nullable":true},"sortColumn":{"type":"string","nullable":true},"sortOrder":{"type":"string","nullable":true},"customStatus":{"type":"string","nullable":true},"selectedYear":{"type":"integer","format":"int32","nullable":true},"isExport":{"type":"boolean"}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.PagedCompletedResponse, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.PagedCompletedResponse"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.PagedCompletedResponse":{"type":"object","properties":{"pageNumber":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"totalRows":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"data":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.CompletedDocumentItem"},"nullable":true}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.CompletedDocumentItem":{"type":"object","properties":{"rowIndex":{"type":"integer","format":"int64"},"totalRows":{"type":"integer","format":"int64"},"workflowId":{"type":"integer","format":"int32"},"displayName":{"type":"string","nullable":true},"documentNumber":{"type":"string","nullable":true},"referenceNo":{"type":"string","nullable":true},"initiatedBy":{"type":"string","nullable":true},"originatorId":{"type":"integer","format":"int32","nullable":true},"categoryName":{"type":"string","nullable":true},"categoryId":{"type":"integer","format":"int32","nullable":true},"isFlexi":{"type":"integer","format":"int32","nullable":true},"uploadedDatetime":{"type":"string","format":"date-time","nullable":true},"completedDate":{"type":"string","format":"date-time","nullable":true},"expiryDate":{"type":"string","format":"date-time","nullable":true},"status":{"type":"string","nullable":true},"documentStatusId":{"type":"integer","format":"int32","nullable":true},"lastSignedBy":{"type":"string","nullable":true},"remarks":{"type":"string","nullable":true},"workflowType":{"type":"integer","format":"int32","nullable":true},"noOfDocuments":{"type":"integer","format":"int32","nullable":true},"noOfAttachments":{"type":"integer","format":"int32","nullable":true},"allowDownloadDoc":{"type":"boolean","nullable":true},"customStatusId":{"type":"integer","format":"int32","nullable":true},"customStatus":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/DashboardSummary/GetCompletedDocuments":{"post":{"tags":["DashboardSummary"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.CompletedDocumentsRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.PagedCompletedResponse, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.PagedCompletedResponse, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.PagedCompletedResponse, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.PagedCompletedResponse, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}}},"summary":"Completed documents","operationId":"post_DashboardSummary_GetCompletedDocuments"}}}}
```

## POST /api/Public/DashboardSummary/GetDraftDocuments

> Draft documents

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"DashboardSummary"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.DraftDocumentsRequest":{"type":"object","properties":{"pageNumber":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"pageSize":{"maximum":200,"minimum":1,"type":"integer","format":"int32"},"categoryName":{"type":"string","nullable":true},"docOwner":{"type":"string","nullable":true},"docName":{"type":"string","nullable":true},"startDate":{"type":"string","nullable":true},"endDate":{"type":"string","nullable":true},"referenceNo":{"type":"string","nullable":true},"documentNumber":{"type":"string","nullable":true},"sortColumn":{"type":"string","nullable":true},"sortOrder":{"type":"string","nullable":true},"selectedYear":{"type":"integer","format":"int32","nullable":true},"isExport":{"type":"boolean"}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.PagedDraftResponse, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.PagedDraftResponse"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.PagedDraftResponse":{"type":"object","properties":{"pageNumber":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"totalRows":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"data":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.DraftDocumentItem"},"nullable":true}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.DraftDocumentItem":{"type":"object","properties":{"rowIndex":{"type":"integer","format":"int64"},"totalRows":{"type":"integer","format":"int64"},"workflowId":{"type":"integer","format":"int32"},"name":{"type":"string","nullable":true},"subscriberId":{"type":"integer","format":"int32"},"lotId":{"type":"integer","format":"int64"},"uploadedDatetime":{"type":"string","format":"date-time","nullable":true},"documentId":{"type":"integer","format":"int32"},"displayName":{"type":"string","nullable":true},"originatorId":{"type":"integer","format":"int32"},"signatureType":{"type":"string","nullable":true},"categoryName":{"type":"string","nullable":true},"documentNumber":{"type":"string","nullable":true},"referenceNo":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"allowDownloadDoc":{"type":"boolean","nullable":true},"attachmentCount":{"type":"integer","format":"int32"},"expiryDate":{"type":"string","format":"date-time","nullable":true},"commentCount":{"type":"integer","format":"int32"},"statusId":{"type":"integer","format":"int32","nullable":true},"noOfDocsCount":{"type":"integer","format":"int32"},"menuId":{"type":"integer","format":"int32","nullable":true},"isWorkflow":{"type":"integer","format":"int32","nullable":true},"isFlexi":{"type":"integer","format":"int32","nullable":true},"workflowInitiateGUID":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/DashboardSummary/GetDraftDocuments":{"post":{"tags":["DashboardSummary"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.DraftDocumentsRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.PagedDraftResponse, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.PagedDraftResponse, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.PagedDraftResponse, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.PagedDraftResponse, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}}},"summary":"Draft documents","operationId":"post_DashboardSummary_GetDraftDocuments"}}}}
```

## POST /api/Public/DashboardSummary/GetDocStoreDocuments

> Doc store documents

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"DashboardSummary"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.DocStoreSearchRequest":{"type":"object","properties":{"pageNumber":{"maximum":10000,"minimum":1,"type":"integer","format":"int32"},"pageSize":{"maximum":200,"minimum":1,"type":"integer","format":"int32"},"tabStatusType":{"maxLength":20,"minLength":0,"type":"string","nullable":true},"selectedStatus":{"maxLength":50,"minLength":0,"type":"string","nullable":true},"isSearch":{"type":"boolean"},"categoryName":{"maxLength":200,"minLength":0,"type":"string","nullable":true},"docOwner":{"maxLength":200,"minLength":0,"type":"string","nullable":true},"documentName":{"maxLength":200,"minLength":0,"type":"string","nullable":true},"documentNumber":{"maxLength":200,"minLength":0,"type":"string","nullable":true},"referenceNo":{"maxLength":200,"minLength":0,"type":"string","nullable":true},"startDate":{"maxLength":10,"minLength":0,"type":"string","nullable":true},"endDate":{"maxLength":10,"minLength":0,"type":"string","nullable":true},"expiryFromDate":{"maxLength":10,"minLength":0,"type":"string","nullable":true},"expiryToDate":{"maxLength":10,"minLength":0,"type":"string","nullable":true},"sortColumn":{"maxLength":20,"minLength":0,"type":"string","nullable":true},"sortOrder":{"maxLength":4,"minLength":0,"type":"string","nullable":true},"customStatus":{"maxLength":200,"minLength":0,"type":"string","nullable":true},"selectedYear":{"type":"integer","format":"int32","nullable":true},"isExport":{"type":"boolean"}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.PagedDocStoreResponse, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.PagedDocStoreResponse"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.PagedDocStoreResponse":{"type":"object","properties":{"pageNumber":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"totalRows":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"data":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.DocStoreRecordItem"},"nullable":true}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.DocStoreRecordItem":{"type":"object","properties":{"rowIndex":{"type":"integer","format":"int64"},"totalRows":{"type":"integer","format":"int64"},"workflowId":{"type":"integer","format":"int32"},"name":{"type":"string","nullable":true},"uploadedDatetime":{"type":"string","format":"date-time","nullable":true},"displayName":{"type":"string","nullable":true},"originatorId":{"type":"integer","format":"int32","nullable":true},"categoryName":{"type":"string","nullable":true},"documentNumber":{"type":"string","nullable":true},"referenceNo":{"type":"string","nullable":true},"isWorkflow":{"type":"integer","format":"int32","nullable":true},"status":{"type":"string","nullable":true},"allowDownloadDoc":{"type":"boolean","nullable":true},"attachmentCount":{"type":"integer","format":"int32"},"expiryDate":{"type":"string","format":"date-time","nullable":true},"statusId":{"type":"integer","format":"int32","nullable":true},"noOfDocsCount":{"type":"integer","format":"int32"},"signedBy":{"type":"string","nullable":true},"declinedDate":{"type":"string","format":"date-time","nullable":true},"recalledDate":{"type":"string","format":"date-time","nullable":true},"signedDate":{"type":"string","format":"date-time","nullable":true},"categoryId":{"type":"integer","format":"int32","nullable":true},"isFlexi":{"type":"integer","format":"int32","nullable":true},"workflowInitiateGUID":{"type":"string","nullable":true},"customStatusId":{"type":"integer","format":"int32","nullable":true},"customStatus":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/DashboardSummary/GetDocStoreDocuments":{"post":{"tags":["DashboardSummary"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.DocStoreSearchRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.PagedDocStoreResponse, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.PagedDocStoreResponse, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.PagedDocStoreResponse, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.PagedDocStoreResponse, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}}},"summary":"Doc store documents","operationId":"post_DashboardSummary_GetDocStoreDocuments"}}}}
```

## GET /api/Public/DashboardSummary/GetCategories

> Categories

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"DashboardSummary"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/DashboardSummary/GetCategories":{"get":{"tags":["DashboardSummary"],"parameters":[{"name":"search","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"summary":"Categories","operationId":"get_DashboardSummary_GetCategories"}}}}
```

## GET /api/Public/DashboardSummary/GetOriginators

> Originators

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"DashboardSummary"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/DashboardSummary/GetOriginators":{"get":{"tags":["DashboardSummary"],"parameters":[{"name":"search","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"summary":"Originators","operationId":"get_DashboardSummary_GetOriginators"}}}}
```

## POST /api/Public/DashboardSummary/MapCategory

> Map category

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"DashboardSummary"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.MapCategoryRequest":{"type":"object","properties":{"workflowId":{"type":"integer","format":"int32"},"categoryId":{"type":"integer","format":"int32"},"documentId":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/Public/DashboardSummary/MapCategory":{"post":{"tags":["DashboardSummary"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.MapCategoryRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Map category","operationId":"post_DashboardSummary_MapCategory"}}}}
```

## POST /api/Public/DashboardSummary/UpdateDocExpiry

> Update doc expiry

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"DashboardSummary"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.UpdateDocExpiryRequest":{"type":"object","properties":{"workflowId":{"type":"integer","format":"int32"},"documentId":{"type":"integer","format":"int32"},"expiryDate":{"type":"string","nullable":true},"notifyEmail":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/DashboardSummary/UpdateDocExpiry":{"post":{"tags":["DashboardSummary"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.UpdateDocExpiryRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Update doc expiry","operationId":"post_DashboardSummary_UpdateDocExpiry"}}}}
```

## GET /api/Public/DashboardSummary/GetDocExpiry

> Doc expiry

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"DashboardSummary"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/DashboardSummary/GetDocExpiry":{"get":{"tags":["DashboardSummary"],"parameters":[{"name":"workflowId","in":"query","schema":{"type":"integer","format":"int32","default":0}},{"name":"documentId","in":"query","schema":{"type":"integer","format":"int32","default":0}}],"responses":{"200":{"description":"OK"}},"summary":"Doc expiry","operationId":"get_DashboardSummary_GetDocExpiry"}}}}
```

## GET /api/Public/DashboardSummary/GetLinkableWorkflows

> Linkable workflows

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"DashboardSummary"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/DashboardSummary/GetLinkableWorkflows":{"get":{"tags":["DashboardSummary"],"parameters":[{"name":"workflowId","in":"query","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}},"summary":"Linkable workflows","operationId":"get_DashboardSummary_GetLinkableWorkflows"}}}}
```

## POST /api/Public/DashboardSummary/LinkDocuments

> Link documents

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"DashboardSummary"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.LinkDocumentsRequest":{"type":"object","properties":{"workflowId":{"type":"integer","format":"int32"},"linkedWorkflowIds":{"type":"array","items":{"type":"integer","format":"int32"},"nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/DashboardSummary/LinkDocuments":{"post":{"tags":["DashboardSummary"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.LinkDocumentsRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Link documents","operationId":"post_DashboardSummary_LinkDocuments"}}}}
```
